MantisBT
Mantis Bug Tracker Workflow

View Issue Details Jump to Notes ] Related Changesets ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0023591Community[OCCT] OCCT:Data Exchangepublic2012-11-28 12:512013-04-29 15:22
ReporterRoman Lygin 
Assigned Toapn 
PrioritynormalSeverityminor 
StatusclosedResolutionfixed 
PlatformAOSLOS VersionL
Product Version[OCCT] 6.5.4 
Target Version[OCCT] 6.6.0Fixed in Version[OCCT] 6.6.0 
Summary0023591: IGES Boundary Entity containing Composite Curve fails to translate.
DescriptionWhen IGES Boundary Entity contains a Composite Curve with rank number of >= 2 (in the list of its model and/or parametric space curves), the exception is thrown. This happens because ShapeExtend_WireData objects, named Gsewd[2d/3d] in IGESControl_IGESBoundary::Transfer(), accumulating results of translation of a current curve, will contain disconnected TopoDS_Wire(s). Before returning, the method will try to add these ShapeExtend_WireData objects to previous results calling ShapeAlgo::AlgoContainer()->ConnectNextWire(), which underneath calls TopExp::Vertices() on TopoDS_Wire. Given that the wire(s) is(are) disconnected, the returned vertices are null causing an exception in BRep_Tool::Pnt() which is used to find the best orientation of a wire.
The fix is to call ShapeFix_Wire::FixConnected() for wires which were produced from curves of >=2 segments. This will only be applied to Boundary Entity and EdgeList, while Curve On Surface will remain unchanged.
Steps To Reproduceigesbrep VZ-387.igs v
tpstat c

Without a fix no shape is created and there is a failure recorded.
With the fix, the shape is created and no failures are recorded.
TagsNo tags attached.
Test case numberbugs iges(003) bug23591
Attached Fileszip file icon VZ-387.zip (11,428 bytes) 2012-11-28 12:51

- Relationships

-  Notes
(0022402)
Roman Lygin (developer)
2012-11-28 12:54

Pushed branch CR23591 into the git repository
(0022422)
gka (developer)
2012-11-28 18:13

Branch CR23591 is ready to be tested.
(0022710)
mkv (tester)
2012-12-14 17:20

Dear BugMaster,

Branch CR23591 (and products from GIT master) was compiled on Linux and
Windows platforms and tested.

Regressions:
Not detected

Improvements:
Not detected

Testing cases:
bugs iges(003) bug23591 - OK.

- Related Changesets
occt: master 126b0763
Timestamp: 2012-11-28 08:52:57
Author: Roman Lygin
Committer: apn
Details ] Diff ]
0023591: IGES Boundary Entity containing Composite Curve fails to translate
mod - src/IGESControl/IGESControl_IGESBoundary.cxx Diff ] File ]

- Issue History
Date Modified Username Field Change
2012-11-28 12:51 Roman Lygin New Issue
2012-11-28 12:51 Roman Lygin Assigned To => gka
2012-11-28 12:51 Roman Lygin File Added: VZ-387.zip
2012-11-28 12:54 Roman Lygin Note Added: 0022402
2012-11-28 12:54 Roman Lygin Status new => resolved
2012-11-28 18:13 gka Note Added: 0022422
2012-11-28 18:13 gka Status resolved => reviewed
2012-11-28 19:08 mkv Assigned To gka => mkv
2012-12-14 17:20 mkv Note Added: 0022710
2012-12-14 17:21 mkv Test case number => bugs iges(003) bug23591
2012-12-14 17:21 mkv Assigned To mkv => bugmaster
2012-12-14 17:21 mkv Status reviewed => tested
2012-12-18 10:45 apn Changeset attached => occt master 126b0763
2012-12-18 10:45 apn Assigned To bugmaster => apn
2012-12-18 10:45 apn Status tested => verified
2012-12-18 10:45 apn Resolution open => fixed
2013-02-20 10:17 bugmaster Target Version => 6.6.0
2013-04-23 13:36 user533 Status verified => closed
2013-04-29 15:22 user533 Fixed in Version => 6.6.0


Copyright © 2000 - 2018 MantisBT Team
Powered by Mantis Bugtracker